Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519081 (scribus-template) - Review Request: scribus-generator - Open source high-quality PDF template and mail-merge alternative
Summary: Review Request: scribus-generator - Open source high-quality PDF template and...
Keywords:
Status: CLOSED ERRATA
Alias: scribus-template
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-30 05:42 UTC by Luya Tshimbalanga
Modified: 2018-02-14 17:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-14 17:10:06 UTC
loganjerry: fedora-review+


Attachments (Terms of Use)

Description Luya Tshimbalanga 2017-11-30 05:42:26 UTC
Spec URL: https://luya.fedorapeople.org/packages/SPECS/scribus-generator.spec
SRPM URL: https://luya.fedorapeople.org/packages/SRPMS/scribus-generator-2.5-1.fc25.src.rpm
Description: Mail-Merge-like extension to Scribus, to generate Scribus and 
PDF documents automatically from external data.
Fedora Account System Username:luya

Comment 1 Dan Horák 2017-11-30 10:14:40 UTC
some initial comments
- the spec bundled in the srpm and from the spec URL are different
- tkinter should move into Requires
- using macros for sed and rm makes very little sense if plain commands work

Comment 2 Jerry James 2017-12-01 01:28:50 UTC
I will take this review.

Comment 3 Jerry James 2017-12-01 01:58:04 UTC
Would you mind reviewing bug 1519607 in exchange?  Thank you.

Comment 4 Jerry James 2017-12-01 02:26:01 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- See Dan's remarks in comment 1.

- The Source0 URL does not work.  This one does:
  https://github.com/berteh/ScribusGenerator/archive/%{version}/ScribusGenerator-%{version}.tar.gz

- The /usr/bin/env lines must not be changed to point to /usr/bin/python, but
  rather to /usr/bin/python2 or /usr/bin/python3.  See
  https://fedoraproject.org/wiki/Packaging:Python#Multiple_Python_Runtimes

- This package should BuildRequires: python2-devel (or python3-devel) to ensure
  that python is available to byte-compile the files.  See
  https://fedoraproject.org/wiki/Packaging:Python#Dependencies

- The three python files have shebangs, but are not executable.  If they should
  be executable, add the executable bit with chmod.  If they should not be
  executable, remove the shebangs.  See
  https://fedoraproject.org/wiki/Packaging:Guidelines#Shebang_lines

- Please fix the rpmlint warnings about wrong-script-end-of-line-encoding and
  mixed-use-of-spaces-and-tabs; see below.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/metainfo

     That seems odd.  Shouldn't one of the appstream packages own this
     directory?  In any case, it isn't a bug in this package.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     https://github.com/berteh/ScribusGenerator/archive/v2.5.tar.gz#/ScribusGenerator-2.5.tar.gz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: scribus-generator-2.5-1.fc28.noarch.rpm
          scribus-generator-2.5-1.fc28.src.rpm
scribus-generator.noarch: E: non-executable-script /usr/share/scribus/scripts/ScribusGenerator.py 644 /usr/bin/python 
scribus-generator.noarch: E: non-executable-script /usr/share/scribus/scripts/ScribusGeneratorBackend.py 644 /usr/bin/python 
scribus-generator.noarch: E: wrong-script-end-of-line-encoding /usr/share/scribus/scripts/ScribusGeneratorBackend.py
scribus-generator.noarch: E: non-executable-script /usr/share/scribus/scripts/ScribusGeneratorCLI.py 644 /usr/bin/python 
scribus-generator.src:11: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 11)
scribus-generator.src: W: invalid-url Source0: https://github.com/berteh/ScribusGenerator/archive/v2.5.tar.gz#/ScribusGenerator-2.5.tar.gz HTTP Error 404: Not Found
2 packages and 0 specfiles checked; 4 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
scribus-generator.noarch: W: invalid-url URL: https://github.com/berteh/ScribusGenerator <urlopen error [Errno -2] Name or service not known>
scribus-generator.noarch: E: non-executable-script /usr/share/scribus/scripts/ScribusGenerator.py 644 /usr/bin/python 
scribus-generator.noarch: E: non-executable-script /usr/share/scribus/scripts/ScribusGeneratorBackend.py 644 /usr/bin/python 
scribus-generator.noarch: E: wrong-script-end-of-line-encoding /usr/share/scribus/scripts/ScribusGeneratorBackend.py
scribus-generator.noarch: E: non-executable-script /usr/share/scribus/scripts/ScribusGeneratorCLI.py 644 /usr/bin/python 
1 packages and 0 specfiles checked; 4 errors, 1 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/jamesjer/1519081-scribus-generator/srpm/scribus-generator.spec	2017-11-30 18:29:57.670268031 -0700
+++ /home/jamesjer/1519081-scribus-generator/srpm-unpacked/scribus-generator.spec	2017-06-16 15:49:16.000000000 -0600
@@ -1,11 +1,11 @@
 # Versioning for scribus
 # %%global versioning 1.5.3.svn/
-Name:		scribus-generator
-Version:	2.5
-Release:	1%{?dist}
-Summary:	Open source high-quality PDF template and mail-merge alternative
+Name:           scribus-generator
+Version:        2.5
+Release:        1%{?dist}
+Summary:        Open source high-quality PDF template and mail-merge alternative
 
-License:	MIT
-URL:		https://github.com/berteh/ScribusGenerator
+License:        MIT
+URL:            https://github.com/berteh/ScribusGenerator
 
 Source0:	https://github.com/berteh/ScribusGenerator/archive/v%{version}.tar.gz#/ScribusGenerator-%{version}.tar.gz        
@@ -13,6 +13,6 @@
 
 BuildRequires:	libappstream-glib
-BuildRequires:	tkinter
-Requires:	scribus
+BuildRequires:  tkinter
+Requires:	scribus, python
 BuildArch:	noarch      
 


Requires
--------
scribus-generator (rpmlib, GLIBC filtered):
    python
    scribus



Provides
--------
scribus-generator:
    metainfo()
    metainfo(scribus-generator.metainfo.xml)
    scribus-generator



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1519081 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Luya Tshimbalanga 2017-12-01 06:18:49 UTC
Here is the updated files with suggested fixes:

Spec URL: https://luya.fedorapeople.org/packages/SPECS/scribus-generator.spec
SRPM URL: https://luya.fedorapeople.org/packages/SRPMS/scribus-generator-2.5-2.fc27.src.rpm

Comment 6 Jerry James 2017-12-02 05:05:24 UTC
Rpmlint still complains:

scribus-generator.noarch: E: wrong-script-end-of-line-encoding /usr/share/scribus/scripts/ScribusGeneratorBackend.py

That can be fixed in %prep as follows:

sed -i 's/\r//' ScribusGeneratorBackend.py

Please fix that when you import the package.  Everything else looks great, so this package is APPROVED.

Comment 7 Gwyn Ciesla 2017-12-18 12:35:20 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/scribus-generator

Comment 8 Fedora Update System 2018-01-07 09:34:49 UTC
scribus-generator-2.5-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-eb8a149bab

Comment 9 Fedora Update System 2018-01-07 09:34:58 UTC
scribus-generator-2.5-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4e9aa991b4

Comment 10 Fedora Update System 2018-01-07 23:19:38 UTC
scribus-generator-2.5-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4e9aa991b4

Comment 11 Fedora Update System 2018-01-07 23:54:05 UTC
scribus-generator-2.5-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-eb8a149bab

Comment 12 Fedora Update System 2018-01-18 08:52:57 UTC
scribus-generator-2.5-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9fb18427a3

Comment 13 Fedora Update System 2018-01-18 08:53:07 UTC
scribus-generator-2.5-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7e9b8f10b9

Comment 14 Fedora Update System 2018-01-18 22:22:43 UTC
scribus-generator-2.5-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7e9b8f10b9

Comment 15 Fedora Update System 2018-01-19 00:34:05 UTC
scribus-generator-2.5-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9fb18427a3

Comment 16 Fedora Update System 2018-02-04 20:31:52 UTC
scribus-generator-2.5-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-56d598bde5

Comment 17 Fedora Update System 2018-02-04 20:32:01 UTC
scribus-generator-2.5-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1e35738efa

Comment 18 Fedora Update System 2018-02-05 16:53:15 UTC
scribus-generator-2.5-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-56d598bde5

Comment 19 Fedora Update System 2018-02-05 17:08:04 UTC
scribus-generator-2.5-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1e35738efa

Comment 20 Fedora Update System 2018-02-14 17:10:06 UTC
scribus-generator-2.5-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2018-02-14 17:29:03 UTC
scribus-generator-2.5-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.